Package com.sun.mail.smtp

# Class SMTPProvider

java.lang.Object
javax.mail.Provider
com.sun.mail.smtp.SMTPProvider

public class SMTPProvider extends Provider
The SMTP protocol provider.

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.mail.Provider

`Provider.Type`

## Constructor Summary

Constructors
Constructor
Description
`SMTPProvider()`

## Method Summary

### Methods inherited from class javax.mail.Provider

`getClassName, getProtocol, getType, getVendor, getVersion, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SMTPProvider

public SMTPProvider()